commit:     7911fb6c1cd89c8a2200dc3f441db9f663e5b631
Author:     Marco Scardovi <marco <AT> scardovi <DOT> com>
AuthorDate: Tue Jun  8 18:21:07 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Jul 10 14:51:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7911fb6c

app-admin/aerospike-amc-community: bump to 5.0.0

Changes:
* Bump to new version
* Removed inherits
* Fixed GLEP 81
* Added acct-group/user

Closes: https://bugs.gentoo.org/722082
Closes: https://github.com/gentoo/gentoo/pull/21163
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Acked-by: Patrick Lauer patrick <AT> gentoo.org
Signed-off-by: Marco Scardovi <marco <AT> scardovi.com>
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-admin/aerospike-amc-community/Manifest         |  1 +
 .../aerospike-amc-community-4.0.19-r1.ebuild       | 17 ++++++-------
 .../aerospike-amc-community-5.0.0.ebuild           | 28 ++++++++++++++++++++++
 3 files changed, 38 insertions(+), 8 deletions(-)

diff --git a/app-admin/aerospike-amc-community/Manifest 
b/app-admin/aerospike-amc-community/Manifest
index 99df19ce322..3f22bd57b7c 100644
--- a/app-admin/aerospike-amc-community/Manifest
+++ b/app-admin/aerospike-amc-community/Manifest
@@ -1 +1,2 @@
 DIST aerospike-amc-community-4.0.19.tar.gz 7868527 BLAKE2B 
69835bdf3d7f1a4b23cd63bb7344c50b6bbbdc04fd55b2d6ec5783a429a442fa6cdf985c77cb4ac73f8ac0663ed2524c8d7a853e970cc086335cf810fd9eaecf
 SHA512 
821de8569bf020b9a2b829e71aab5d48d25639620468aa0b3ed28dc24e0d57bc61be60939425c0a69c418602fa2fbf5ef60f1870edb3f04fa40a2a2aca281218
+DIST aerospike-amc-community-5.0.0.tar.gz 11741635 BLAKE2B 
cfcbbeb3148a03d4b5381306b42c12886a05a64c3dccd203caa3a1ce411a62908260bc5f9835b8b54f1e1edc2e4c3ba8b9ad19226a87af6da52a49f6d10119b8
 SHA512 
6db8c5cb79f57d44cbfbc904851b4bef36415d1402ac06f47900c66e59731de78fddc2956e89499c42366ab10ec3662f694b5e1a651f785e5644d014d7165402

diff --git 
a/app-admin/aerospike-amc-community/aerospike-amc-community-4.0.19-r1.ebuild 
b/app-admin/aerospike-amc-community/aerospike-amc-community-4.0.19-r1.ebuild
index 7806c7c930e..f13e73fadbb 100644
--- a/app-admin/aerospike-amc-community/aerospike-amc-community-4.0.19-r1.ebuild
+++ b/app-admin/aerospike-amc-community/aerospike-amc-community-4.0.19-r1.ebuild
@@ -1,24 +1,25 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit user
+EAPI=7
 
 DESCRIPTION="Web UI based monitoring tool for Aerospike Community Edition 
Server"
 HOMEPAGE="http://www.aerospike.com";
 SRC_URI="http://www.aerospike.com/download/amc/${PV}/artifact/linux -> 
${P}.tar.gz"
+
 LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="~amd64"
-IUSE=""
 
-RDEPEND=""
-DEPEND="${RDEPEND}"
+RDEPEND="
+       acct-group/aerospike-amc-community
+       acct-user/aerospike-amc-community
+"
 
-S=${WORKDIR}
+S="${WORKDIR}"
 
 src_install() {
-       cp -r "$S/"* "$D"
-       rm "${D}/etc/init.d/*"
+       cp -r "${S}/"* "${ED}"
+       rm "${ED}/etc/init.d/*"
        newinitd "${FILESDIR}/amc.init.4" amc
 }

diff --git 
a/app-admin/aerospike-amc-community/aerospike-amc-community-5.0.0.ebuild 
b/app-admin/aerospike-amc-community/aerospike-amc-community-5.0.0.ebuild
new file mode 100644
index 00000000000..07fdde3f4da
--- /dev/null
+++ b/app-admin/aerospike-amc-community/aerospike-amc-community-5.0.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="aerospike-amc-enterprise-${PV}-linux"
+
+DESCRIPTION="Web UI based monitoring tool for Aerospike Community Edition 
Server"
+HOMEPAGE="https://www.aerospike.com";
+SRC_URI="https://github.com/aerospike-community/amc/releases/download/${PV}/${MY_P}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       acct-group/aerospike-amc
+       acct-user/aerospike-amc
+"
+
+QA_PREBUILT="/opt/amc/amc"
+
+src_install() {
+       cp -r "${S}"/* "${ED}" || die
+       rm "${ED}"/etc/init.d/amc || die
+       newinitd "${FILESDIR}/amc.init.4" amc
+}

Reply via email to